Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.app.analyst
Enum AnalystGoal

    java.lang.Object
      java.lang.Enum<AnalystGoal>
          org.encog.app.analyst.AnalystGoal

All Implemented Interfaces:
  Serializable, Comparable<AnalystGoal>

    public enum AnalystGoal

extends Enum<AnalystGoal>

What is the goal of the Encog Analyst?

Enum Constant Summary
`Classification` Goal of classification.
`Regression` Goal of regression.

Method Summary
`static AnalystGoal` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnalystGoal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Regression

    public static final AnalystGoal Regression

  Goal of regression.

### Classification

    public static final AnalystGoal Classification

  Goal of classification.

Method Detail

### values

    public static AnalystGoal[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnalystGoal c : AnalystGoal.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnalystGoal valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.